API
Fetch a single event
GET
/events/{id}
const url = 'https://mw.omazy.ai/api/v1/events/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://mw.omazy.ai/api/v1/events/example \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Event ID (ULID)
Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
data
object
app_id
string
created_at
string
ends_at
string
id
string
is_time_sensitive
boolean
notes
string
reminder_at
string
source
string
source_event_id
string
starts_at
string
title
string
updated_at
string
user_id
string
Examplegenerated
{ "data": { "app_id": "example", "created_at": "example", "ends_at": "example", "id": "example", "is_time_sensitive": true, "notes": "example", "reminder_at": "example", "source": "example", "source_event_id": "example", "starts_at": "example", "title": "example", "updated_at": "example", "user_id": "example" }, "error": { "code": "example", "message": "example" }, "meta": { "next_cursor": "example", "page": 1, "per_page": 1, "total": 1 }, "success": true}Not Found
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
error
object
code
string
message
string
Examplegenerated
{ "data": "example", "error": { "code": "example", "message": "example" }, "meta": { "next_cursor": "example", "page": 1, "per_page": 1, "total": 1 }, "success": true}